# -----------------------------------------------------------------------------
package Args;
# -----------------------------------------------------------------------------


# -----------------------------------------------------------------------------


sub new() {

    my $class = shift;
    my $devel = shift;

    my $self = { };
    bless($self, $class);

    $self->{DEVEL} = $devel;

    $self->{CONSTRUCT}   = "own_base";
    $self->{ENCRYPT_POL} = "no";
    $self->{RM_TXT_POL}  = "no";
    $self->{INIT_DB}     = "no";

    $self->{FILE_LISTS_OS_MODULE} = "File_Lists_RedHat_72";

    return $self;
  }


sub construct() {
    my $self = shift;

    return $self->{CONSTRUCT};
  }


sub file_lists_os_module() {
    my $self = shift;

    return $self->{FILE_LISTS_OS_MODULE};
  }


sub encrypt_policy() {
    my $self = shift;

    if ($self->{ENCRYPT_POL} eq "no") {
        return 0
      }
    elsif ($self->{ENCRYPT_POL} eq "yes") {
        return 1;
      }
    else {
        $self->{DEVEL}->die("Unknown ENCRYPT_POL :  " . $self->{ENCRYPT_POL});
      }
  }


sub rm_txt_pol() {
    my $self = shift;

    if ($self->{RM_TXT_POL} eq "no") {
        return 0
      }
    elsif ($self->{RM_TXT_POL} eq "yes") {
        return 1;
      }
    else {
        $self->{DEVEL}->die("Unknown RM_TXT_POL :  " . $self->{RM_TXT_POL});
      }
  }

# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
