# -----------------------------------------------------------------------------
package Devel;
# -----------------------------------------------------------------------------

use strict;

# -----------------------------------------------------------------------------
# -- CONSTRUCTOR :
# -----------------------------------------------------------------------------

sub new() {

    my $class = shift;

    my $self = { };
    bless($self, $class);

    return $self;
  }


# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------

sub debug() {
    return 0;
  }

sub devel() {
    return 0;
  }

# -----------------------------------------------------------------------------

sub die() {
    my $self   = shift;
    my $string = shift;

    print "\n\n"
        . " ** FATAL ERROR ** " . mod_caller() . "::" . sub_caller() . " " 
        . "\n    " . $string . "\n\n";
    exit;
  }

# -----------------------------------------------------------------------------
# -- just to tell us what is happenning as it goes...

sub output() {
    my $self   = shift;
    my $string = shift;

    unless (defined $string) {$string = "";}

    if ($self->devel()) {
        print "\n    Devel : $string";
      }
  }

# -- debugging info --- marks something and tells us module and subroutine :

sub marker() {
    my $self   = shift;
    my $string = shift;
   
    unless (defined $string) {$string = "";}

    if ($self->debug()) {
        print "\n ** Marker :  " . mod_caller() . "::" 
                                 . sub_caller() . " " . $string;
      }
  }

# -----------------------------------------------------------------------------

sub mod_caller() {
    my $module = caller(2);
    return $module;
  }


sub sub_caller() {
    my $subroutine;

    (undef, undef, undef, $subroutine) = caller(2);

    return $subroutine;
  }

# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
