# -----------------------------------------------------------------------------
package Mail;
# -----------------------------------------------------------------------------

use strict;

# -----------------------------------------------------------------------------
# --

sub new() {

  my $class  = shift;
  my $devel  = shift;
  my $config = shift;

    my $self  = { };

    bless($self, $class);

    $self->{DEVEL}  = $devel;
    $self->{CONFIG} = $config;

    return $self;
  }


# -----------------------------------------------------------------------------
# -- METHODS :
# -----------------------------------------------------------------------------

sub send() {

    my $self    = shift;
    my $to      = shift;
    my $cc      = shift;
    my $bcc     = shift;
    my $subject = shift;
    my $message = shift;

    my $to_str = "";
    my $cc_str = "";
    my $bcc_str = "";

    foreach (@$to)  {  $to_str  .= $_ . " ";  }
    foreach (@$cc)  {  $cc_str  .= $_ . " ";  }
    foreach (@$bcc) {  $bcc_str .= $_ . " ";  }

    unless ($to_str =~ m/^(\s*[\w\d\'\_\-\.]+\@[\w\d\'\_\-\.]+\s*)+$/) {
        $self->{DEVEL}->die("Tainted: //$to_str//");
      }
    $to_str = $1;

    my $mailprog = "/usr/lib/sendmail";

    open(MAIL, "|$mailprog $to_str") 
        || $self->{DEVEL}->die("Can't open $mailprog!");

    print MAIL "From: ISD Helpdesk <helpdesk\@umist.ac.uk>";
        # ...no "\n" in first one...

    print MAIL "\nTo: $to_str";
    print MAIL "\nCC: $cc_str";
    print MAIL "\nBCC: $bcc_str";
    print MAIL "\nReply-To: ISD Helpdesk <helpdesk\@umist.ac.uk>";
    print MAIL "\nSubject: $subject";
    print MAIL "\n\n";
    print MAIL $message;

    close(MAIL); 

    return 1;
  }


# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
